JBoss API: Class MappingMetaData

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jaws.metadata
Class MappingMetaData

    java.lang.Object
      |
      +--org.jboss.metadata.MetaData
            |
            +--org.jboss.ejb.plugins.jaws.metadata.MappingMetaData

All Implemented Interfaces:
  java.lang.Cloneable, XmlLoadable

public class MappingMetaData
extends MetaData
implements XmlLoadable

Version:
  $Revision: 1.2.6.2 $
Author:
  Sebastien Alborini
See Also:

Fields inherited from class org.jboss.metadata.MetaData
`TX_MANDATORY, TX_NEVER, TX_NOT_SUPPORTED, TX_REQUIRED, TX_REQUIRES_NEW, TX_SUPPORTS, TX_UNKNOWN`

Constructor Summary
`MappingMetaData()`

Method Summary
`java.lang.String` | `getJavaType()`
`int` | `getJdbcType()`
`static int` | `getJdbcTypeFromName(java.lang.String name)`
`java.lang.String` | `getSqlType()`
`void` | `importXml(org.w3c.dom.Element element)`

Methods inherited from class org.jboss.metadata.MetaData
`clone, getChildrenByTagName, getElementContent, getElementContent, getOptionalChild, getOptionalChild, getUniqueChild, importEjbJarXml, importJbossXml, jdk13Enabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MappingMetaData

    public MappingMetaData()

Method Detail

### getJdbcTypeFromName

    public static int getJdbcTypeFromName(java.lang.String name)
                                   throws DeploymentException

### getJavaType

    public java.lang.String getJavaType()

### getJdbcType

    public int getJdbcType()

### getSqlType

    public java.lang.String getSqlType()

### importXml

    public void importXml(org.w3c.dom.Element element)
                   throws DeploymentException

  Specified by:
    `importXml` in interface `XmlLoadable`
  Overrides:
    `importXml` in class `MetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.